Act API
List transactions
Requires an authenticated user with access to the selected AI. Application service accounts cannot act as an unverified end user.
GET
/
act
/
transactions
List transactions
curl --request GET \
--url https://api.darwin.so/api/v2/act/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.darwin.so/api/v2/act/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.darwin.so/api/v2/act/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"transactions": [
{
"id": "<string>",
"transactionId": "<string>",
"goalId": "<string>",
"dealId": "<string>",
"mode": "BUY",
"reservedCapMinor": 1,
"subtotalMinor": 1,
"darwinFeeMinor": 1,
"taxAmountMinor": 1,
"settledAmountMinor": 1,
"releasedAmountMinor": 1,
"currency": "<string>",
"status": "<string>",
"settlementMode": "fixed",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"feeBps": 1,
"feeAttributionReason": "<string>",
"feePolicyVersion": 2,
"refundedAmountMinor": 1,
"sellerAcceptanceStatus": "<string>",
"customerAccountStatus": "<string>",
"fulfillmentStatus": "<string>",
"fundedAt": "2023-11-07T05:31:56Z",
"transferredAt": "2023-11-07T05:31:56Z",
"refundedAt": "2023-11-07T05:31:56Z",
"disputedAt": "2023-11-07T05:31:56Z",
"canceledAt": "2023-11-07T05:31:56Z"
}
]
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}{
"statusCode": 123,
"message": "<string>",
"error": "<string>"
}Authorizations
Production keys begin with darwin_. Isolated sandbox keys begin with darwin_test_. Create keys in Developer settings.
Query Parameters
Optional explicit AI scope. When omitted, Darwin uses the caller’s selected AI.
Response
Transactions visible to the selected AI.
Show child attributes
Show child attributes
⌘I
List transactions
